You are Here:
Download Linux Lite 5.4 Final today - See Release Announcements



Canon lLide 220 recognized but not working - please help

Author (Read 4194 times)

0 Members and 1 Guest are viewing this topic.

Canon lLide 220 recognized but not working - please help
« on: July 31, 2016, 04:51:53 PM »
 

MoonLight

  • New to Forums
  • *
  • 7
    Posts
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.0 32bit

  • CPU: intel dual core

  • MEMORY: 2Gb
Hi,
I've got the latest version of LinuxLite.
I tried to scan with my scanner Canon Lide 220 with xsane.
When I try to scan, I hear a sound from the scanner like it wants to start to scan. But the lamp doesn't move and the sound stops.
And I get an error that says: Failed to start scanner: Error during device I/O.

How can I get my scanner to work?
Thanks,


 


Re: Canon lLide 220 recognized but not working - please help
« Reply #1 on: July 31, 2016, 05:24:58 PM »
 

Wirezfree

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1484
    Posts
  • Country: gb
  • Reputation: 404
  • Linux Lite "Advocate"

  • Linux Lite: 2.8 64bit

  • CPU: i7-4790S

  • MEMORY: 16Gb

  • VIDEO CARD: Intel HD4600 (Integrated)
Hi,

Some Googling shows a lot of reports of the 220 not working with Ubuntu 16.04, which LL3.0 is based on.
There is even a similar "Bug Report" logged June 2016. This maybe your issue..??
Upgrades WIP 2.6 to 2.8 - (6 X 2.6 to 2.8 completed on: 20/02/16 All O.K )
Linux Lite 3.0 Humming on a ASRock N3070 Mobo ~ btrfs RAID 10 Install on 4 Disks :)

Computers Early days:
ZX Spectrum(1982) , HP-150 MS-DOS(1983) , Amstrad CPC464(1984) ,  BBC Micro B+64(1985) , My First PC HP-Vectra(1987)
 

Re: Canon lLide 220 recognized but not working - please help
« Reply #2 on: July 31, 2016, 06:32:12 PM »
 

trinidad

  • Platinum Level Poster
  • **********
  • 1248
    Posts
  • Country: us
  • Reputation: 193
  • Linux Lite Member
    • dbts-analytics.com

  • Linux Lite: 5.4 64bit

  • CPU: AMD A8 5500 4 cores

  • MEMORY: 8Gb

  • VIDEO CARD: AMD/ATI Radeon HD 7560D

  • Kernel: 5.x
Ubuntu no longer installs the complete Debian print packages. You will have to get the correct ones from Debian.

TC
All opinions expressed and all advice given by Trinidad Cruz on this forum are his responsibility alone and do not necessarily reflect the views or methods of the developers of Linux Lite. He is a citizen of the United States where it is acceptable to occasionally be uninformed and inept as long as you pay your taxes.
 

Re: Canon lLide 220 recognized but not working - please help
« Reply #3 on: August 01, 2016, 03:01:54 PM »
 

MoonLight

  • New to Forums
  • *
  • 7
    Posts
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.0 32bit

  • CPU: intel dual core

  • MEMORY: 2Gb
Hi,

Some Googling shows a lot of reports of the 220 not working with Ubuntu 16.04, which LL3.0 is based on.
There is even a similar "Bug Report" logged June 2016. This maybe your issue..??

Hi,
Yes it seem to be the same bug  :-[
I'm a new linux user. What shoud I do now?
Thanks
 

Re: Canon lLide 220 recognized but not working - please help
« Reply #4 on: August 01, 2016, 03:03:59 PM »
 

MoonLight

  • New to Forums
  • *
  • 7
    Posts
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.0 32bit

  • CPU: intel dual core

  • MEMORY: 2Gb
Ubuntu no longer installs the complete Debian print packages. You will have to get the correct ones from Debian.

TC

Thanks for the info...
How do i install Debian print packages... and will it work with it?
Thank you.
 

Re: Canon lLide 220 recognized but not working - please help
« Reply #5 on: August 01, 2016, 05:03:18 PM »
 

trinidad

  • Platinum Level Poster
  • **********
  • 1248
    Posts
  • Country: us
  • Reputation: 193
  • Linux Lite Member
    • dbts-analytics.com

  • Linux Lite: 5.4 64bit

  • CPU: AMD A8 5500 4 cores

  • MEMORY: 8Gb

  • VIDEO CARD: AMD/ATI Radeon HD 7560D

  • Kernel: 5.x
1) First check System info to see if USB scanner/printer is even listed there. USB devices do not always get listed properly in OS installation. You will probably have to fix this issue first if that's what it is.

2) Also open Synaptic and check to see if: libsane & libsane-common 1.0.25+git20150528-1 are installed. If they are not there install them and the dependencies from Synaptic. If they are there and your printer scanner still does not work you can try to install sane genesys.5 from here: http://manpages.ubuntu.com/manpages/wily/man5/sane-genesys.5.html, which is known to work with Canoscan 220 in Ubuntu, but not simple to work with given that you have newer Xsane already. Canon stuff is of course semi-proprietary. I am not sure if the older genesys.5 backend will work properly with Xsane. Perhaps someone else here knows.

3) There is an older backend available from Debian but it no longer works with Xsane. I may be leading you into more difficulty with that proposition anyway. My bad. Too much going on today. Scrounge around the Ubuntu forums and manuals for more information. I suspect the problem is resolved, because it did not become a problem until Ubuntu began dropping older support libraries.

TC

 
All opinions expressed and all advice given by Trinidad Cruz on this forum are his responsibility alone and do not necessarily reflect the views or methods of the developers of Linux Lite. He is a citizen of the United States where it is acceptable to occasionally be uninformed and inept as long as you pay your taxes.
 

Re: Canon lLide 220 recognized but not working - please help
« Reply #6 on: August 01, 2016, 06:58:32 PM »
 

Wirezfree

  • PayPal Supporter
  • Platinum Level Poster
  • *****
  • 1484
    Posts
  • Country: gb
  • Reputation: 404
  • Linux Lite "Advocate"

  • Linux Lite: 2.8 64bit

  • CPU: i7-4790S

  • MEMORY: 16Gb

  • VIDEO CARD: Intel HD4600 (Integrated)
@MoonLight

If you can follow @Trinidad, do that 1st,
Otherwise you will have to periodically check the link I gave to see if the bug get's fixed.

If you don't need all the features of 3.0, you could try 2.8, see if it works.?
Upgrades WIP 2.6 to 2.8 - (6 X 2.6 to 2.8 completed on: 20/02/16 All O.K )
Linux Lite 3.0 Humming on a ASRock N3070 Mobo ~ btrfs RAID 10 Install on 4 Disks :)

Computers Early days:
ZX Spectrum(1982) , HP-150 MS-DOS(1983) , Amstrad CPC464(1984) ,  BBC Micro B+64(1985) , My First PC HP-Vectra(1987)
 

Re: Canon lLide 220 recognized but not working - please help
« Reply #7 on: August 04, 2016, 04:16:50 AM »
 

MoonLight

  • New to Forums
  • *
  • 7
    Posts
  • Reputation: 0
  • Linux Lite Member

  • Linux Lite: 3.0 32bit

  • CPU: intel dual core

  • MEMORY: 2Gb
Hi,
Since I'm new to linux, I don't know how to install packages etc...
So I might just wait for that bug to be fixed or I'll downgrade to linux 2.8.
Thank you.
 


Tags:
 


Download Linux Lite 5.4 Final today - See Release Announcements